<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" 
      xmlns:ui="http://java.sun.com/jsf/facelets" 
      xmlns:h="http://java.sun.com/jsf/html" 
      xmlns:f="http://java.sun.com/jsf/core">

<h:head></h:head>
	<title>Create Classroom</title>
	<style type="text/css">
.required-field::after {
    content: "*";
    color: red;
}
</style>
<h:body>

<h:form>
<h:messages showDetail="true"></h:messages>
	<h:panelGrid columns="3" cellpadding="10">
		<h:outputLabel styleClass="required-field">Grade : </h:outputLabel>
		<h:inputText id ="grade" value="#{classroomController.classroom.grade}" required="true" requiredMessage="Grade id required"  validatorMessage="Name must be between 2 and 3 caracters">
		<f:ajax event="blur" render="messageGrade"></f:ajax>
		<f:validateLength minimum="2" maximum="3"></f:validateLength>
		</h:inputText>
		<h:message id="messageGrade" for="grade"  style="color:red"></h:message>
		
		<h:outputLabel styleClass="required-field">Name : </h:outputLabel>
		<h:inputText id="name" value="#{classroomController.classroom.name}" required="true" requiredMessage="Name is required">
		<f:ajax event="blur" render="messageName"></f:ajax>
		</h:inputText>
		<h:message  id="messageName" for="name" style="color:red"></h:message>
		
		
</h:panelGrid>
<h:commandButton value="Create a Classroom" action="#{classroomController.doCreateClassroom}"></h:commandButton>
</h:form>
</h:body>
</html>